Bug 1652093 - kernel 4.19.2-301 does not create wifi device on upgrade on raspberry pi 3b
Summary: kernel 4.19.2-301 does not create wifi device on upgrade on raspberry pi 3b
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1658635 (view as bug list)
Depends On:
Blocks: ARMTracker IoT
TreeView+ depends on / blocked
 
Reported: 2018-11-21 14:59 UTC by Tim Coote
Modified: 2019-01-02 04:11 UTC (History)
25 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-21 05:52:46 UTC


Attachments (Terms of Use)

Description Tim Coote 2018-11-21 14:59:56 UTC
Description of problem:
The 4.19.2-301 kernel has fixes for wifi on the rpi. However, the device does not appear after an `rpm-ostree upgrade`

Version-Release number of selected component (if applicable):

```
rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
● ostree://fedora-iot:fedora/29/aarch64/iot
                   Version: 29.20181120.0 (2018-11-20T14:07:22Z)
                BaseCommit: ae2de407f4cbc89b0c0411167b153b4c06b4a573438a118405ef5d9f48413e89
              GPGSignature: Valid signature by 5A03B4DD8254ECA02FDA1637A20AA56B429476B4

```
How reproducible:
Unknown. Failed once. This bug is for tracking

Steps to Reproduce:
1. install older fedora-iot
2. `sudo rpm-ostree upgrade`
3. `ifconfig | grep flags`

Actual results:
```
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
```
Expected results:
I'd expect to see `wlan0`

Additional info:

Comment 1 Peter Robinson 2018-11-21 15:19:28 UTC
This appears on standard Arm installs and appears to be across both aarch64 and ARMv7. It sometime appears on a cold boot for me and is generally intermittent whether the device appears or not.

Comment 2 Berend De Schouwer 2018-11-30 08:00:52 UTC
No wlan0 device on 4.19.4-300

Comment 3 Peter Robinson 2018-12-12 22:09:49 UTC
*** Bug 1658635 has been marked as a duplicate of this bug. ***

Comment 4 Nikolaos Perrakis 2018-12-12 23:31:55 UTC
I am also affected by this bug. It happens on every boot. I have installed Fedora-Server-29-1.2.aarch64.raw.xz. Here are some terminal outputs, if there's something more I can test/try please point it out.


# uname -a
Linux raspberry1 4.19.8-300.fc29.aarch64 #1 SMP Mon Dec 10 15:11:31 UTC 2018 aarch64 aarch64 aarch64 GNU/Linux
# nmcli dev
DEVICE  TYPE      STATE      CONNECTION 
eth0    ethernet  connected  eth0       
lo      loopback  unmanaged  --         
# nmcli dev wifi list
# lsmod | egrep -i brcmfmac
# modprobe -vvv brcmfmac
modprobe: INFO: custom logging function 0xaaaabb77d7c8 registered
insmod /lib/modules/4.19.8-300.fc29.aarch64/kernel/net/wireless/cfg80211.ko.xz 
insmod /lib/modules/4.19.8-300.fc29.aarch64/kernel/drivers/net/wireless/broadcom/brcm80211/brcmutil/brcmutil.ko.xz 
insmod /lib/modules/4.19.8-300.fc29.aarch64/kernel/drivers/net/wireless/broadcom/brcm80211/brcmfmac/brcmfmac.ko.xz 
modprobe: INFO: context 0xaaaac4703480 released
# nmcli dev
DEVICE  TYPE      STATE      CONNECTION 
eth0    ethernet  connected  eth0       
lo      loopback  unmanaged  --         
# dmesg|grep brcm
[   29.346374] bluetooth hci0: Direct firmware load for brcm/BCM4345C0.hcd failed with error -2
[   29.354841] Bluetooth: hci0: BCM: Patch brcm/BCM4345C0.hcd not found
[13103.568775] usbcore: registered new interface driver brcmfmac
# dmesg|grep -i firmware
[    4.849199] raspberrypi-firmware soc:firmware: Attached to firmware from 2018-11-04 16:32
[   29.346374] bluetooth hci0: Direct firmware load for brcm/BCM4345C0.hcd failed with error -2
# dnf info linux-firmware
Installed Packages
Name         : linux-firmware
Version      : 20181008
Release      : 88.gitc6b6265d.fc29
Arch         : noarch
Size         : 291 M
Source       : linux-firmware-20181008-88.gitc6b6265d.fc29.src.rpm
Repo         : @System
From repo    : updates
Summary      : Firmware files used by the Linux kernel
URL          : http://www.kernel.org/
License      : GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
Description  : This package includes firmware files required for some devices to
             : operate.

# cat /proc/cpuinfo 
processor	: 0
BogoMIPS	: 38.40
Features	: fp asimd evtstrm crc32 cpuid
CPU implementer	: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 1
BogoMIPS	: 38.40
Features	: fp asimd evtstrm crc32 cpuid
CPU implementer	: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 2
BogoMIPS	: 38.40
Features	: fp asimd evtstrm crc32 cpuid
CPU implementer	: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 3
BogoMIPS	: 38.40
Features	: fp asimd evtstrm crc32 cpuid
CPU implementer	: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

[root@raspberry1 ~]# ls -la /lib/firmware/brcm/
total 15500
drwxr-xr-x.  2 root root   4096 Nov  8 20:20 .
drwxr-xr-x. 81 root root  12288 Nov  8 20:21 ..
-rw-r--r--.  1 root root  54734 Oct 13 16:50 BCM-0bb4-0306.hcd
-rw-r--r--.  1 root root 269595 Oct 13 16:50 bcm4329-fullmac-4.bin
-rw-r--r--.  1 root root  96224 Oct 13 16:50 bcm43xx-0.fw
-rw-r--r--.  1 root root    180 Oct 13 16:50 bcm43xx_hdr-0.fw
-rw-r--r--.  1 root root 397312 Oct 13 16:50 brcmfmac43143.bin
-rw-r--r--.  1 root root 385067 Oct 13 16:50 brcmfmac43143-sdio.bin
-rw-r--r--.  1 root root 348160 Oct 13 16:50 brcmfmac43236b.bin
-rw-r--r--.  1 root root 455745 Oct 13 16:50 brcmfmac43241b0-sdio.bin
-rw-r--r--.  1 root root 403855 Oct 13 16:50 brcmfmac43241b4-sdio.bin
-rw-r--r--.  1 root root 408682 Oct 13 16:50 brcmfmac43241b5-sdio.bin
-rw-r--r--.  1 root root 479232 Oct 13 16:50 brcmfmac43242a.bin
-rw-r--r--.  1 root root 253748 Oct 13 16:50 brcmfmac4329-sdio.bin
-rw-r--r--.  1 root root 222126 Oct 13 16:50 brcmfmac4330-sdio.bin
-rw-r--r--.  1 root root 400864 Oct 13 16:50 brcmfmac43340-sdio.bin
-rw-r--r--.  1 root root 451566 Oct 13 16:50 brcmfmac4334-sdio.bin
-rw-r--r--.  1 root root 569291 Oct 13 16:50 brcmfmac4335-sdio.bin
-rw-r--r--.  1 root root 202107 Oct 13 16:50 brcmfmac43362-sdio.bin
-rw-r--r--.  1 root root 562183 Oct 13 16:50 brcmfmac4339-sdio.bin
-rw-r--r--.  1 root root 382455 Oct 13 16:50 brcmfmac43430a0-sdio.bin
-rw-r--r--.  1 root root    875 Oct 13 16:50 brcmfmac43430-sdio.AP6212.txt
-rw-r--r--.  1 root root 388739 Oct 13 16:50 brcmfmac43430-sdio.bin
-rw-r--r--.  1 root root    831 Oct 13 16:50 brcmfmac43430-sdio.MUR1DX.txt
-rw-r--r--.  1 root root    625 Oct 13 16:50 brcmfmac43430-sdio.raspberrypi,3-model-b.txt
-rw-r--r--.  1 root root 488193 Oct 13 16:50 brcmfmac43455-sdio.bin
-rw-r--r--.  1 root root   1687 Oct 13 16:50 brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
-rw-r--r--.  1 root root 623304 Oct 13 16:50 brcmfmac4350c2-pcie.bin
-rw-r--r--.  1 root root 626140 Oct 13 16:50 brcmfmac4350-pcie.bin
-rw-r--r--.  1 root root 605388 Oct 13 16:50 brcmfmac4354-sdio.bin
-rw-r--r--.  1 root root 557056 Oct 13 16:50 brcmfmac43569.bin
-rw-r--r--.  1 root root 648770 Oct 13 16:50 brcmfmac4356-pcie.bin
-rw-r--r--.  1 root root 526383 Oct 13 16:50 brcmfmac4356-sdio.bin
-rw-r--r--.  1 root root 550333 Oct 13 16:50 brcmfmac43570-pcie.bin
-rw-r--r--.  1 root root 633817 Oct 13 16:50 brcmfmac4358-pcie.bin
-rw-r--r--.  1 root root 595472 Oct 13 16:50 brcmfmac43602-pcie.ap.bin
-rw-r--r--.  1 root root 635449 Oct 13 16:50 brcmfmac43602-pcie.bin
-rw-r--r--.  1 root root 989401 Oct 13 16:50 brcmfmac4366b-pcie.bin
-rw-r--r--.  1 root root 623448 Oct 13 16:50 brcmfmac4371-pcie.bin
-rw-r--r--.  1 root root 479232 Oct 13 16:50 brcmfmac4373.bin
-rw-r--r--.  1 root root 457994 Oct 13 16:50 brcmfmac4373-sdio.bin

Comment 5 Fedora Update System 2018-12-18 01:49:00 UTC
kernel-4.19.10-200.fc28, kernel-headers-4.19.10-200.fc28, kernel-tools-4.19.10-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e8c330d50

Comment 6 Fedora Update System 2018-12-18 02:12:12 UTC
kernel-4.19.10-300.fc29, kernel-headers-4.19.10-300.fc29, kernel-tools-4.19.10-300.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-95036ea383

Comment 7 Berend De Schouwer 2018-12-18 09:12:16 UTC
Wifi comes up on FC29, tried rebooting three times (didn't work even once on previous kernels)

$ cat /proc/version 
Linux version 4.19.10-300.fc29.aarch64 (mockbuild@buildvm-aarch64-01.arm.fedoraproject.org) (gcc version 8.2.1 20181105 (Red Hat 8.2.1-5) (GCC)) #1 SMP Mon Dec 17 15:21:40 UTC 2018

$ nmcli device
DEVICE  TYPE      STATE      CONNECTION 
eth0    ethernet  connected  eth0       
wlan0   wifi      connected  OverHere
lo      loopback  unmanaged  --    

$ dmesg | grep brcmfmac
[   39.749726] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43455-sdio for chip BCM4345/6
[   39.767287] usbcore: registered new interface driver brcmfmac
[   42.064338] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43455-sdio for chip BCM4345/6
[   42.073616] brcmfmac mmc1:0001:1: Direct firmware load for brcm/brcmfmac43455-sdio.clm_blob failed with error -2
[   42.089571] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available (err=-2), device may have limited channels available
[   42.112346] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/6 wl0: Mar  1 2015 07:29:38 version 7.45.18 (r538002) FWID 01-6a2c8ad4

Unsure how much of an issue the firmware failure is, but Wifi does connect, and does transfer data.

Comment 8 Peter Robinson 2018-12-18 14:45:00 UTC
> [   42.073616] brcmfmac mmc1:0001:1: Direct firmware load for
> brcm/brcmfmac43455-sdio.clm_blob failed with error -2
> [   42.089571] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available
> (err=-2), device may have limited channels available
> [   42.112346] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/6 wl0: Mar
> 1 2015 07:29:38 version 7.45.18 (r538002) FWID 01-6a2c8ad4
> 
> Unsure how much of an issue the firmware failure is, but Wifi does connect,
> and does transfer data.

You mean the bits above around the clm_blob?

Comment 9 Berend De Schouwer 2018-12-18 14:54:30 UTC
(In reply to Peter Robinson from comment #8)
> > [   42.073616] brcmfmac mmc1:0001:1: Direct firmware load for
> > brcm/brcmfmac43455-sdio.clm_blob failed with error -2
> > [   42.089571] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available
> > (err=-2), device may have limited channels available
> > [   42.112346] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/6 wl0: Mar
> > 1 2015 07:29:38 version 7.45.18 (r538002) FWID 01-6a2c8ad4
> > 
> > Unsure how much of an issue the firmware failure is, but Wifi does connect,
> > and does transfer data.
> 
> You mean the bits above around the clm_blob?

I do.


Also, follow-up, I've run it now for 6 hours, lots of traffic, multiple soft and hard reboots, and as an AP, and no problems yet.

Comment 10 Berend De Schouwer 2018-12-18 14:56:37 UTC
(In reply to Peter Robinson from comment #8)
> > [   42.073616] brcmfmac mmc1:0001:1: Direct firmware load for
> > brcm/brcmfmac43455-sdio.clm_blob failed with error -2
> > [   42.089571] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available
> > (err=-2), device may have limited channels available
> > [   42.112346] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/6 wl0: Mar
> > 1 2015 07:29:38 version 7.45.18 (r538002) FWID 01-6a2c8ad4
> > 
> > Unsure how much of an issue the firmware failure is, but Wifi does connect,
> > and does transfer data.
> 
> You mean the bits above around the clm_blob?

I did wget a blob from github.  The warning goes away.  Functionality seems identical.

Comment 11 Michael Young 2018-12-19 23:37:15 UTC
4.19.10-300.fc29.aarch64 worked for me on a reboot then after I power-cycled it. As the boot problem was intermittent for me that is probably not enough testing to conclude it is fixed but it does look promising.

Comment 12 Fedora Update System 2018-12-21 05:52:46 UTC
kernel-4.19.10-200.fc28, kernel-headers-4.19.10-200.fc28, kernel-tools-4.19.10-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-12-21 19:39:30 UTC
kernel-4.19.10-300.fc29, kernel-headers-4.19.10-300.fc29, kernel-tools-4.19.10-300.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-12-28 05:06:03 UTC
kernel-4.19.12-301.fc29 kernel-headers-4.19.12-301.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-64a4d60839

Comment 15 Fedora Update System 2018-12-28 08:31:06 UTC
kernel-4.19.12-301.fc29, kernel-headers-4.19.12-301.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-64a4d60839

Comment 16 Fedora Update System 2018-12-28 18:11:30 UTC
kernel-headers-4.19.12-200.fc28 kernel-4.19.12-200.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cfc5245d6e

Comment 17 Fedora Update System 2018-12-29 01:38:54 UTC
kernel-4.19.12-200.fc28, kernel-headers-4.19.12-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cfc5245d6e

Comment 18 mackrackit 2018-12-29 17:18:16 UTC
I just want to note that I was having a similar problem with the USB on the Beaglebone Black.  The kernel update also fixed this.  Thank you!!

Comment 19 Peter Robinson 2018-12-31 09:42:53 UTC
(In reply to mackrackit from comment #18)
> I just want to note that I was having a similar problem with the USB on the
> Beaglebone Black.  The kernel update also fixed this.  Thank you!!

What ever that problem is (I seem to remember reading some TI fixes in that kernel) it was completely unrelated to this bug, this was explicitly a Raspberry Pi only bug.

Comment 20 Fedora Update System 2019-01-02 02:37:07 UTC
kernel-4.19.12-200.fc28, kernel-headers-4.19.12-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-01-02 04:11:03 UTC
kernel-4.19.12-301.fc29, kernel-headers-4.19.12-301.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.